%global debug_package %{nil}

Name:           gnustep-make
Version:        2.6.7
Release:        %mkrel 1
Summary:        GNUstep makefile package

Group:          Development/Other
License:        GPLv3+
URL:            http://www.gnustep.org/
Source0:        ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.xz

Source1:	macros.gnustep
Patch1:         gnustep-make-2.6.5-framework.patch

BuildConflicts: gnustep-make
BuildRequires:  automake 
BuildRequires:  autoconf
BuildRequires:  gcc-objc
BuildRequires:  texinfo
BuildRequires:  tetex-latex 
BuildRequires:  tetex-dvips 
BuildRequires:  latex2html 
BuildRequires:  texi2html
Requires:       gnustep-filesystem = %{version}-%{release}


%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.


%package -n     gnustep-filesystem
Summary:        The basic directory layout for GNUstep packages
Group:          System/Base
License:        Public Domain

%description -n gnustep-filesystem
The gnustep-filesystem package contains the basic directory layout for
GNUstep packages.


%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        GPLv3+
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

This package contains documentation for %{name}.

%prep
%setup -q
%patch1 -p1 -b .fmwork

sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs-system
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs-system
sed -i "s|/lib/|/%{_lib}/|g" FilesystemLayouts/fhs
sed -i "s|/lib$|/%{_lib}|g" FilesystemLayouts/fhs
sed -i "s|=/share/GNUstep/Makefiles|=/%{_lib}/GNUstep/Makefiles|" \
    FilesystemLayouts/fhs-system

%build
autoreconf
%configure2_5x --with-layout=fhs-system --enable-flattened
%make

%install
rm -rf %buildroot
%make_install

# create remaining GNUstep directories
for i in Applications WebApplications; do
    mkdir -p %{buildroot}%{_prefix}{,/local}/lib{,64}/GNUstep/$i
done
mkdir -p %{buildroot}%{_prefix}{,/local}/share/GNUstep/Documentation/Developer

# INstall rpm macros
install -d %{buildroot}%{_sysconfdir}/rpm/macros.d
install -p %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.d/gnustep.macros

%files
%doc ANNOUNCE COPYING FAQ NEWS README
%config(noreplace) %{_sysconfdir}/GNUstep/GNUstep.conf
%{_bindir}/*
%{_libdir}/GNUstep/Makefiles
%{_mandir}/man*/*
%{_sysconfdir}/rpm/macros.d/gnustep.macros

%files -n gnustep-filesystem
%dir %{_sysconfdir}/GNUstep
%dir %{_libdir}/GNUstep
%dir %{_libdir}/GNUstep/Applications
%dir %{_libdir}/GNUstep/WebApplications
%dir %{_datadir}/GNUstep
%dir %{_datadir}/GNUstep/Documentation
%dir %{_datadir}/GNUstep/Documentation/Developer

%files doc
%doc %{_datadir}/GNUstep/Documentation/*


%changelog
* Mon Jul 02 2018 adrianomorselli <adrianomorselli> 2.6.7-1uplos2018
- import from france for meson
